> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelcustomers 1

> Requires customers.read.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/customers/{customerID}
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/customers/{customerID}:
    get:
      tags:
        - panel
      description: Requires customers.read.
      operationId: getPanelCustomer
      parameters:
        - $ref: '#/components/parameters/CustomerID'
      responses:
        '200':
          description: Customer profile
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelCustomerProfile'
        '403':
          $ref: '#/components/responses/Problem'
        '404':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    CustomerID:
      in: path
      name: customerID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    PanelCustomerProfile:
      allOf:
        - $ref: '#/components/schemas/PanelCustomerSummary'
        - type: object
          required:
            - activeSubscriptions
            - orderCount
            - openTickets
            - referralCount
            - openFlags
            - allowlisted
          properties:
            anonymizedAt:
              type: string
              format: date-time
            retentionUntil:
              type: string
              format: date-time
            activeSubscriptions:
              type: integer
              format: int64
            orderCount:
              type: integer
              format: int64
            openTickets:
              type: integer
              format: int64
            referralCount:
              type: integer
              format: int64
            openFlags:
              type: integer
              format: int64
              description: >-
                Blocklist matches awaiting a decision. A count of things to
                review, never a verdict.
            allowlisted:
              type: boolean
    PanelCustomerSummary:
      type: object
      required:
        - id
        - status
        - locale
        - timezone
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - active
            - suspended
            - deleted
        locale:
          type: string
        timezone:
          type: string
        createdAt:
          type: string
          format: date-time
        telegramId:
          type: integer
          format: int64
        suspendedAt:
          type: string
          format: date-time
        deletedAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.